#ifndef XCARDMEMORY_H
#define XCARDMEMORY_H

#include "xasset.h"

class XCardMemory : public XAsset
{
public:
    explicit XCardMemory();
    ~XCardMemory();

    quint32 GetPlatform() const;

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mPlatform;
};

#endif // XCARDMEMORY_H
